byteorder-1.0.4: Exposes the native endianness or byte ordering of the system.

Safe Haskell | None
Language | Haskell98

System.ByteOrder

Synopsis

- byteOrder :: ByteOrder
- data ByteOrder
  - = BigEndian
  - | LittleEndian
  - | Mixed (Word8, Word8, Word8, Word8)

# Documentation

byteOrder :: ByteOrder Source #

Returns the native byte ordering of the system.

data ByteOrder Source #

Indicates the byte-ordering for a 4-byte value, where '1' indicates the most-significant byte and '4' indicates the least significant byte.

In this format, big endian byte order would be represented as: (1,2,3,4).

For convinience, the most common cases (BigEndian and LittleEndian) are provided their own constructors.

Constructors

BigEndian |
LittleEndian |
Mixed (Word8, Word8, Word8, Word8) |

#### Instances

Instances details

Read ByteOrder Source # |
Instance details Defined in System.ByteOrder Methods readsPrec :: Int -> ReadS ByteOrder Source # readList :: ReadS [ByteOrder] Source # readPrec :: ReadPrec ByteOrder Source # readListPrec :: ReadPrec [ByteOrder] Source #
Show ByteOrder Source # |
Instance details Defined in System.ByteOrder Methods showsPrec :: Int -> ByteOrder -> ShowS Source # show :: ByteOrder -> String Source # showList :: [ByteOrder] -> ShowS Source #
Eq ByteOrder Source # |
Instance details Defined in System.ByteOrder Methods (==) :: ByteOrder -> ByteOrder -> Bool Source # (/=) :: ByteOrder -> ByteOrder -> Bool Source #
Ord ByteOrder Source # |

Instance details

Defined in System.ByteOrder

Methods

compare :: ByteOrder -> ByteOrder -> Ordering Source #

(<) :: ByteOrder -> ByteOrder -> Bool Source #

(<=) :: ByteOrder -> ByteOrder -> Bool Source #

(>) :: ByteOrder -> ByteOrder -> Bool Source #

(>=) :: ByteOrder -> ByteOrder -> Bool Source #

max :: ByteOrder -> ByteOrder -> ByteOrder Source #

min :: ByteOrder -> ByteOrder -> ByteOrder Source #